Subject: Re: linux-next: Tree for June 3 (driver core)

From: [email-masked] (Eric W. Biederman)
Date: Wed, 03 Jun 2009 14:44:55 -0700

Greg KH <[email-masked]> writes:

> On Wed, Jun 03, 2009 at 08:50:10AM -0700, Randy Dunlap wrote:
>> Stephen Rothwell wrote:
>> > Hi all,
>> > 
>> > Looks like a real rush since -rc7 ...
>> 
>> 
>> drivers/built-in.o: In function `register_mem_sect_under_node':
>> (.text+0x1d305b): undefined reference to `sysfs_create_link_nowarn'
>> 
>> 
>> I can't find this function's implementation when CONFIG_SYSFS=y.
>
> Ah, it looks like this shows up when CONFIG_MEMORY_HOTPLUG_SPARSE is
> set.
>
> Eric, your patch, "sysfs: Remove now unnecessary error reporting
> suppression." caused this.  Turns out it is still used in the tree, and
> you forgot to remove the function from sysfs.h at the same time.
>
> I'm going to drop it, and the other two patches I took from you for
> sysfs, as it doesn't make sense to have them in the tree yet.
>
> Care to rework your series with this fixed?

Sure.

My apologies it looks like sysfs_create_link_nowarn grew an extra
user since last time I audited that patch thoroughly.

How I missed the header I don't know.

Eric